marketpartners
List Payment Advices
Return all payment advices as a list with additional information. The query parameters are used to filter the result. By default, the results are paginated. To disable pagination, set the page_size parameter to null. Disabling pagination is not recommended and can run into server timeout.
GET
/
v3
/
marketpartners
/
payment_advices
/
List Payment Advices
curl --request GET \
--url https://api.lumenaza.de/v3/marketpartners/payment_advices/import requests
url = "https://api.lumenaza.de/v3/marketpartners/payment_advices/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.lumenaza.de/v3/marketpartners/payment_advices/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"market_partner": "9900080000007",
"marketpartner_bills": [
"AB 4009136XYZ",
"AB 4009199XXX"
],
"pay_date": "2020-06-10",
"remadv_sent": "2020-05-30T23:05:27Z",
"remittance_advice_number": "ADV202005313468XXXX",
"tax_aggregations": {
"16": {
"gross_prepaid_amount": 88,
"gross_to_pay_per_tax_rate": 50.098,
"prepaid_tax_amount": 14.08,
"tax_amount": 22.62
},
"19": {
"gross_prepaid_amount": 88,
"gross_to_pay_per_tax_rate": 53.67,
"prepaid_tax_amount": 14.08,
"tax_amount": 22.62
}
},
"total_amount": 997.97
}
]
}
]
}Query Parameters
Market partner ID
A page number within the paginated result set.
Page size, set to null to disable pagination
Pay date
Pay date greater than or equal to
Pay date less than or equal to
Remadv sent datetime
Remadv sent datetime greater than or equal to
Remadv sent datetime less than or equal to
Remittance advice number
⌘I
List Payment Advices

